View Issue Details

IDProjectCategoryView StatusLast Update
0011647ScribusGraphics / Image Framespublic2016-12-08 22:04
ReporterGarryP Assigned To 
PrioritylowSeverityminorReproducibilityalways
Status confirmedResolutionopen 
PlatformMacOSOS XOS Version10.6.8
Product Version1.4.5 
Target Version1.5.4Fixed in Version 
Summary0011647: Alignment functions don't work uniformally with lines of width greater than hairline
DescriptionWhen you have a line that has a width greater than hairline the alignment functions don't work correctly all the time. See steps and forum post mentioned below.


Edit:
Merged from 0014020 "Lines that are widened don't snap to margins correctly"
Observations when viewing  line-doesnt-snap-correct.gif  line-doesnt-snap-correct2.gif 
a) the narrow end of the line if attempted to snap perpendicularly will show the preview incorrectly (juts out farther then the margin/guide) but snaps correctly when mouse is disengaged

b) the sides of the line if attempted to snap parallel to a margin/guide will not snap line correctly to the edge but instead to the midline of the line itself

Steps to Reproduce:
1) Draw a line (Press L and hold command key to keep orientation to 0 degrees)
2) Go to PP > Line > Line Width and set to 20pt
3) Click on line and drag it to one of the margins or a guide 
Result: Dragging perpendicular or parallel will show incongruent behavior mentioned above in a) and b)
Steps To ReproduceOne example:
1. Create horizontal line (0 degrees).
2. Make line wider (e.g. 30pt).
3. Create frame.
4. Select line and frame together.
5. Use "Centre on horizontal axis" alignment tool.

The frame is aligned to the outside of the line rather than the actual line itself.
Additional InformationSee forum post http://forums.scribus.net/index.php/topic,1006.0.html for more details and examples.
Tagssnapping
PatchNo

Relationships

related to 0014021 closedjghali Widened & Rotated line that is grouped with another object shows abnormal outline when grouped 
related to 0013887 confirmed Arrows should snap to the end of the arrow (and not the base of the arrow instead) for margins/marks/grids/objects etc... 
related to 0013706 confirmed Changing Line width renders line incorrectly when selected 
related to 0011932 new Snapping to guides doesn't work at high zoom levels 
related to 0013858 confirmed Snap to Items preview does not always respect final item placement 
has duplicate 0014020 closed Lines that are widened don't snap to margins correctly 
has duplicate 0014161 closedjghali central division of double page layout in scribus does not match PDF output 
related to 0012330 new Bad selection X,Y for thick lines 

Activities

JLuc

2014-04-07 15:43

developer   ~0031645

Maybe this has been fixed in 1.5 ?

GarryP

2014-04-08 09:30

developer   ~0031651

Unfortunately, since upgrading to Mavericks, I can't recompile 1.5.0svn to check. (cmake presents an error that I can't resolve with my minimal technical knowledge, but that's irrelevant here.) Maybe someone else can check this?

JLuc

2014-04-08 12:35

developer   ~0031652

Last edited: 2014-04-09 16:11

View 6 revisions

I confirm the bug happens on 1.5.
As stated in the forum, it only happens when line angle is 0°.

scribusdoc.cpp (12779) (yes : 12779) reads as follow :
double diff=newY-AObjects[i].y1-(AObjects[i].height)/2;


The XYZ pane of the PP displays the height of a line object to be allways 0.353mm (but greyed), even if the line has a strong thickness, like 10mm.

All the same, there is no "center on vertical axis" placement issue when angle is not 0°.
So the XYZ "witdh" entry of the PP does not display the value of the "width" property used in the formula ? Hmm

FirasH

2014-06-04 18:39

developer   ~0032014

Reproduced with 1.4.4 (19167) and 1.5.0 (19179)

The issue is also very visible when bottoms/tops are aligned.

FirasH

2014-06-05 11:42

developer   ~0032024

Just noticed now, why is the priority set to Low? It should be as least Normal.

GarryP

2014-06-06 08:59

developer   ~0032033

I think I set it to "Low" priority when I created the issue originally. I don't mind if it's bumped up the list of priorities.

cbradney

2014-06-25 20:13

administrator   ~0032314

I tried to fix this a few weeks ago.. its requires a lot of work. Its not a quick fix. Likely 12-24h of solid work. Moving to 1.5.1 roadmap

GarryP

2015-02-02 09:54

developer   ~0034427

Issue has been replicated in 1.4.5. (Changed product version number in ticket as appropriate.)

GarryP

2016-05-04 12:11

developer  

grid snap.gif (805,191 bytes)
grid snap.gif (805,191 bytes)

GarryP

2016-05-04 12:11

developer   ~0040765

A similar problem occurs when you have thick lines and are resizing a shape using snap to grid/guides.

Basically, once you change the width of the line of a shape, the snapping functions work to the visible part of the shape rather than the line itself. See attached GIF (grid snap) to see it in action.

Kunda

2016-05-04 13:58

updater   ~0040769

looks like i created a dupe in 0014020

Kunda

2016-05-10 15:39

updater  

Kunda

2016-05-10 15:42

updater   ~0040938

A similar issue can be observed in 0013887 "Arrows at the end of a line should point to the end of the line, not further away"

Also encountered 0013706 when reproducing this ticket

Kunda

2016-05-10 15:44

updater  

Kunda

2016-05-23 14:05

updater   ~0041344

See 0013858

Issue History

Date Modified Username Field Change
2013-07-07 19:28 GarryP New Issue
2014-04-07 15:43 JLuc Note Added: 0031645
2014-04-08 09:30 GarryP Note Added: 0031651
2014-04-08 12:35 JLuc Note Added: 0031652
2014-04-08 12:35 JLuc Note Edited: 0031652 View Revisions
2014-04-08 14:15 JLuc Tag Attached: easyhack
2014-04-08 21:02 JLuc Tag Detached: easyhack
2014-04-08 21:07 JLuc Note Edited: 0031652 View Revisions
2014-04-08 22:20 JLuc Note Edited: 0031652 View Revisions
2014-04-09 16:09 JLuc Note Edited: 0031652 View Revisions
2014-04-09 16:11 JLuc Note Edited: 0031652 View Revisions
2014-06-04 18:39 FirasH Note Added: 0032014
2014-06-05 11:42 FirasH Note Added: 0032024
2014-06-06 08:59 GarryP Note Added: 0032033
2014-06-25 00:43 FirasH Status new => confirmed
2014-06-25 20:13 cbradney Note Added: 0032314
2014-06-25 20:13 cbradney Target Version => 1.5.1
2015-02-02 09:54 GarryP Patch => No
2015-02-02 09:54 GarryP Product Version 1.4.2 => 1.4.5
2015-02-02 09:54 GarryP Note Added: 0034427
2015-09-17 20:10 Kunda Category Graphics / Image Frames => Graphics/Img Frames
2015-09-17 20:11 Kunda Category Graphics/Img Frames => Graphics / Image Frames
2016-01-23 17:17 cbradney Target Version 1.5.1 => 1.5.3
2016-05-04 12:11 GarryP File Added: grid snap.gif
2016-05-04 12:11 GarryP Note Added: 0040765
2016-05-04 13:57 Kunda Relationship added related to 0014020
2016-05-04 13:58 Kunda Note Added: 0040769
2016-05-04 14:00 Kunda Relationship added related to 0014021
2016-05-10 15:39 Kunda File Added: line-doesnt-snap-correct.gif
2016-05-10 15:42 Kunda Note Added: 0040938
2016-05-10 15:42 Kunda Description Updated View Revisions
2016-05-10 15:42 Kunda Additional Information Updated View Revisions
2016-05-10 15:44 Kunda Relationship added related to 0013887
2016-05-10 15:44 Kunda Relationship added related to 0013706
2016-05-10 15:44 Kunda File Added: line-doesnt-snap-correct2.gif
2016-05-10 15:46 Kunda Relationship replaced has duplicate 0014020
2016-05-10 15:47 Kunda Description Updated View Revisions
2016-05-23 13:47 Kunda Relationship added related to 0012330
2016-05-23 14:02 Kunda Tag Attached: snapping
2016-05-23 14:02 Kunda Relationship added related to 0011932
2016-05-23 14:05 Kunda Note Added: 0041344
2016-05-23 14:05 Kunda Relationship added related to 0013858
2016-06-18 12:18 jghali Relationship added has duplicate 0014161
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4